#!/bin/bash

# # shellcheck disable=SC2154,SC1091,SC2155
# This helper script will handle generation of extensions
#
# /scripts/gen-extensions.sh
#

set -e

source /scripts/utils.sh

# set timeout for psql cmd looping: 120s for postgres. 0 secs for aws mode ( no checking loop. execute once only)
if [ ${awsDeployment} == "true" ]; then
  ckTimeout=0
else
  ckTimeout=120
fi

for extension in ${dbExtensionsList}; do
    cprint "Generating new extension ${extension}.."
    cat >/tmp/extensions.sql <<EOL
CREATE EXTENSION IF NOT EXISTS ${extension};
EOL
    /scripts/wait-until -t "${ckTimeout}" -i 5 true psql -h "${dbServiceClusterEndpoint}" -p ${port} -U ${adminUsername} -d "${databaseName}" -f /tmp/extensions.sql
done

cprint "show extensions in db ${databaseName}"
/scripts/wait-until -t "${ckTimeout}" -i 5 true psql -h ${dbServiceClusterEndpoint} -p ${port} -U ${adminUsername} -d ${databaseName} -c "\\dx"

print_header "$0 done."