#!/bin/bash

# This helper script will handle uninstalling aurora
#
# /scripts/remove-aurora.sh
#

set -e
source /scripts/utils.sh

echo "Deleting secrets"
run_cmd kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretPassName} --ignore-not-found
run_cmd kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretUserName} --ignore-not-found

run_cmd kubectl --namespace ${infraNamespace} delete secret ${dbUserCredsSecretPassName} --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete secret ${dbUserCredsSecretUserName} --ignore-not-found

# Deprecated - will be removed in 1.0 release
echo "Deleting external service ${dbServiceClusterEndpointShortName}"
run_cmd kubectl --namespace ${appsNamespace} delete service ${dbServiceClusterEndpointShortName} --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete service ${dbServiceClusterEndpointShortName} --ignore-not-found

echo "Deleting external service ${dbServiceClusterReaderEndpointShortName}"
run_cmd kubectl --namespace ${appsNamespace} delete service ${dbServiceClusterReaderEndpointShortName} --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete service ${dbServiceClusterReaderEndpointShortName} --ignore-not-found
# --------------------------------------------

echo "Deleting external hostname configmap ${namingPrefix}-endpoint from namespace ${appsNamespace}"
run_cmd kubectl --namespace ${appsNamespace} delete cm ${namingPrefix}-endpoint --ignore-not-found

echo "Deleting the output config maps"
arnConfigMapName=${namingPrefix}-arn
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${arnConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${arnConfigMapName} --ignore-not-found

outputsConfigMapName=${namingPrefix}-outputs
run_cmd  kubectl --namespace ${appsNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found
run_cmd  kubectl --namespace ${infraNamespace} delete configmap ${outputsConfigMapName} --ignore-not-found

echo "Deleting external configmap ${namingPrefix}-endpoint"
run_cmd kubectl --namespace ${appsNamespace} delete configmap ${namingPrefix}-endpoint --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete configmap ${namingPrefix}-endpoint --ignore-not-found

print_header "Kubernetes outputs cleanup complete, use cloud custodian tool to delete AWS resources"
print_header "$0 done."
