#!/bin/bash

# This helper script will handle the removal of the secret from the application and infra namespaces
#
# /scripts/remove-secret.sh
#

set -e

source /scripts/utils.sh

check_access ${infraNamespace} secrets
check_access ${appsNamespace} secrets

kubectl --namespace ${infraNamespace} delete secret ${dbPrimaryCredsSecretName} --ignore-not-found

if [ ! -z "${dbOverrideUserList}" ]; then
  for username in ${dbOverrideUserList}; do
    dbUserCredsSecretPassName="${namingPrefix}-${username}-pg-pass"
    dbUserCredsSecretUserName="${namingPrefix}-${username}-pg-user"
    kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretPassName} --ignore-not-found
    kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretUserName} --ignore-not-found
  done
else
  kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretPassName} --ignore-not-found
  kubectl --namespace ${appsNamespace} delete secret ${dbUserCredsSecretUserName} --ignore-not-found
fi

print_header "$0 done."
